bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: test for recently fixed ls -CF bug


From: Jim Meyering
Subject: FYI: test for recently fixed ls -CF bug
Date: Sat, 19 Aug 2006 19:20:50 +0200

2006-08-19  Jim Meyering  <address@hidden>

        * tests/ls/stat-dtype: Test for the 2006-08-17 `ls -CF' fix.

Index: tests/ls/stat-dtype
===================================================================
RCS file: /fetish/cu/tests/ls/stat-dtype,v
retrieving revision 1.6
diff -u -r1.6 stat-dtype
--- tests/ls/stat-dtype 17 Aug 2006 19:58:31 -0000      1.6
+++ tests/ls/stat-dtype 19 Aug 2006 17:15:10 -0000
@@ -1,5 +1,7 @@
 #!/bin/sh
 # Ensure that ls --file-type does not call stat unnecessarily.
+# Also check for the dtype-related (and fs-type dependent) bug
+# in coreutils-6.0 that made ls -CF columns misaligned.
 
 # Copyright (C) 2006 Free Software Foundation, Inc.
 
@@ -57,6 +59,9 @@
 ln -s / d/s || framework_failure=1
 chmod 600 d || framework_failure=1
 
+mkdir -p e/a2345 e/b || framework_failure=1
+chmod 600 e || framework_failure=1
+
 if test $framework_failure = 1; then
   echo "$0: failure in testing framework" 1>&2
   (exit 1); exit 1
@@ -72,4 +77,15 @@
 cmp out exp || fail=1
 test $fail = 1 && diff out exp 2> /dev/null
 
+rm -f out exp
+# Check for the ls -CF misaligned-columns bug:
+ls -CF e > out || fail=1
+
+# coreutils-6.0 would print two spaces after the first slash,
+# rather than the appropriate TAB.
+printf 'a2345/\tb/\n' > exp || fail=1
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
 (exit $fail); exit $fail




reply via email to

[Prev in Thread] Current Thread [Next in Thread]